# Class CliParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.zookeeper.cli.CliException
org.apache.zookeeper.cli.CliParseException

All Implemented Interfaces:
  `Serializable`

public class CliParseException extends CliException

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class CliException

`DEFAULT_EXCEPTION_EXIT_CODE, exitCode`

## Constructor Summary

Constructors
Constructor
Description
`CliParseException(String message)`
`CliParseException(org.apache.commons.cli.ParseException parseException)`

## Method Summary

### Methods inherited from class CliException

`getExitCode`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CliParseException

public CliParseException(org.apache.commons.cli.ParseException parseException)

### CliParseException

public CliParseException(String message)